using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Clicker;

namespace UnitTestProject1
{
    [TestClass]
    public class UnitTest1
    {
        MainWindow wnd = new MainWindow();
        long point = 0;
        static int click = 1;

        [TestMethod]
        public void ClickImgTest()
        { 
            long resultPoints = 1;
            Assert.AreEqual(resultPoints, wnd.IncreasePoint(point, click));

            point = 4;
            click = 3;
            resultPoints = 7;
            Assert.AreEqual(resultPoints, wnd.IncreasePoint(point, click));

            point = 100;
            click = 99;
            resultPoints = 199;
            Assert.AreEqual(resultPoints, wnd.IncreasePoint(point, click));
        }
    }
}
